Package twisted :: Package web :: Module xmlrpc

[show private | hide private]
[frames | no frames]

## Module twisted.web.xmlrpc

A generic resource for publishing objects via XML-RPC.

Requires xmlrpclib (comes standard with Python 2.2 and later, otherwise can be downloaded from http://www.pythonware.com/products/xmlrpc/).

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`XMLRPC` | A resource that implements XML-RPC.
`Handler` | Handle a XML-RPC request and store the state for a request in progress.
`Proxy` | A Proxy for making remote XML-RPC calls.
`QueryFactory` |
`QueryProtocol` |

Exceptions
`NoSuchFunction` | There is no function by the given name.

Variable Summary
`int` | `FAILURE`
`_Feature` | `nested_scopes`
`int` | `NOT_FOUND`
`str` | `payloadTemplate`
`SelectReactor` | `reactor`

Variable Details

### FAILURE

  Type:
    `int`
  Value:

        8002

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### NOT_FOUND

  Type:
    `int`
  Value:

        8001

### payloadTemplate

  Type:
    `str`
  Value:

        '''<?xml version="1.0"?>
        <methodCall>
        <methodName>%s</methodName>
        %s
        </methodCall>
        '''

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:19:20 2003 | http://epydoc.sf.net